> For the complete documentation index, see [llms.txt](https://docs.zaui.com/zapi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zaui.com/zapi/zapi-calls/activity-calls/rental-equipment-calls/zapipricequote.md).

# Equipment Price Quote

## zapiPriceQuote

<mark style="color:blue;">`GET`</mark> `https://{yourdomain}.zaui.net/zapi/`

This endpoint allows you to get pricing information for an activity that uses equipment pricing instead of occupant (PAX) pricing.

#### Request Body

| Name                                              | Type    | Description                                                                     |
| ------------------------------------------------- | ------- | ------------------------------------------------------------------------------- |
| methodName<mark style="color:red;">\*</mark>      | string  | The method being called.                                                        |
| activityId<mark style="color:red;">\*</mark>      | integer | ID of the activity.                                                             |
| activityDate<mark style="color:red;">\*</mark>    | integer | The start date of the rental activity.  Format: YYYY:MM:DD.                     |
| activityEndDate<mark style="color:red;">\*</mark> | integer | The end date of the rental activity.  Format: YYYY:MM:DD.                       |
| rentalStartTime<mark style="color:red;">\*</mark> | integer | The start time of the rental activity.  Format: HH:MM:SS.                       |
| rentalEndTime<mark style="color:red;">\*</mark>   | integer | The end time of the rental activity.  Format: HH:MM:SS.                         |
| zapiUserId<mark style="color:red;">\*</mark>      | integer | Generated by the supplier system when a new contact is created.                 |
| zapiAccountId<mark style="color:red;">\*</mark>   | integer | Generated by the supplier system.                                               |
| zapiToken<mark style="color:red;">\*</mark>       | integer | Token that must be used for a reseller to communicate with the supplier system. |

{% tabs %}
{% tab title="200 " %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiPriceQuote</methodName>
        <activityId>128</activityId>
        <activityType>505</activityType>
        <activityName>
            <![CDATA[Electric Bike Rentals]]>
        </activityName>
        <activityDate>2021-11-21</activityDate>
        <equipmentAvailable>
            <equipmentCategories>
                <equipmentCategory>
                    <equipmentCategoryId>1</equipmentCategoryId>
                    <equipmentCategoryName>Adult Bikes</equipmentCategoryName>
                    <timeOptions>
                        <timeOption>
                            <timeOptionId>1</timeOptionId>
                            <timeOptionName>Half Day Rental</timeOptionName>
                            <timeOptionPrice>50.000000</timeOptionPrice>
                            <timeOptionDuration>240</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                                <startTime>13:00:00</startTime>
                            </startTimes>
                        </timeOption>
                        <timeOption>
                            <timeOptionId>2</timeOptionId>
                            <timeOptionName>Full Day Rental</timeOptionName>
                            <timeOptionPrice>100.000000</timeOptionPrice>
                            <timeOptionDuration>480</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                            </startTimes>
                        </timeOption>
                    </timeOptions>
                </equipmentCategory>
                <equipmentCategory>
                    <equipmentCategoryId>2</equipmentCategoryId>
                    <equipmentCategoryName>Youth Bikes</equipmentCategoryName>
                    <timeOptions>
                        <timeOption>
                            <timeOptionId>3</timeOptionId>
                            <timeOptionName>Half Day Rental</timeOptionName>
                            <timeOptionPrice>40.000000</timeOptionPrice>
                            <timeOptionDuration>240</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                                <startTime>13:00:00</startTime>
                            </startTimes>
                        </timeOption>
                        <timeOption>
                            <timeOptionId>4</timeOptionId>
                            <timeOptionName>Full Day Rental</timeOptionName>
                            <timeOptionPrice>80.000000</timeOptionPrice>
                            <timeOptionDuration>480</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                            </startTimes>
                        </timeOption>
                    </timeOptions>
                </equipmentCategory>
                <equipmentCategory>
                    <equipmentCategoryId>3</equipmentCategoryId>
                    <equipmentCategoryName>Child Bikes</equipmentCategoryName>
                    <timeOptions>
                        <timeOption>
                            <timeOptionId>5</timeOptionId>
                            <timeOptionName>Half Day Rental</timeOptionName>
                            <timeOptionPrice>30.000000</timeOptionPrice>
                            <timeOptionDuration>240</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                                <startTime>13:00:00</startTime>
                            </startTimes>
                        </timeOption>
                        <timeOption>
                            <timeOptionId>6</timeOptionId>
                            <timeOptionName>Full Day Rental</timeOptionName>
                            <timeOptionPrice>60.000000</timeOptionPrice>
                            <timeOptionDuration>480</timeOptionDuration>
                            <startTimes>
                                <startTime>09:00:00</startTime>
                            </startTimes>
                        </timeOption>
                    </timeOptions>
                </equipmentCategory>
            </equipmentCategories>
        </equipmentAvailable>
        <passengers>
            <seniors>0</seniors>
            <adults>0</adults>
            <students>0</students>
            <children>0</children>
            <infants>0</infants>
        </passengers>
        <pricing>
            <seniors>$0.00</seniors>
            <adults>$0.00</adults>
            <students>$0.00</students>
            <children>$0.00</children>
            <infants>$0.00</infants>
            <subTotal>$0.00</subTotal>
            <surplusFees>$0.00</surplusFees>
            <tax>$0.00</tax>
            <total>$0.00</total>
        </pricing>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage>
            <![CDATA[OK]]>
        </methodErrorMessage>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Request" %}

```xml
<request>
	<zapiToken></zapiToken>
	<zapiAccountId></zapiAccountId>
	<zapiUserId></zapiUserId>
	<zapiMethod>
		<methodName>zapiPriceQuote</methodName>
		<activityId></activityId>
		<activityDate></activityDate>
		<activityEndDate></activityEndDate>
		<rentalStartTime></rentalStartTime>
		<rentalEndTime></rentalEndTime>
	</zapiMethod>
</request>
```

{% endtab %}

{% tab title="Response" %}

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiPriceQuote</methodName>
        <activityId></activityId>
        <activityType></activityType>
        <activityName></activityName>
        <activityDate></activityDate>
        <equipmentAvailable>
            <equipmentCategories>
                <equipmentCategory>
                    <equipmentCategoryId></equipmentCategoryId>
                    <equipmentCategoryName></equipmentCategoryName>
                    <timeOptions>
                        <timeOption>
                            <timeOptionId></timeOptionId>
                            <timeOptionName></timeOptionName>
                            <timeOptionPrice></timeOptionPrice>
                            <timeOptionDuration></timeOptionDuration>
                            <startTimes>
                                <startTime>HH:MM:SS</startTime>
                                <startTime>HH:MM:SS</startTime>
                            </startTimes>
                        </timeOption>
                        <timeOption>
                            <timeOptionId></timeOptionId>
                            <timeOptionName></timeOptionName>
                            <timeOptionPrice></timeOptionPrice>
                            <timeOptionDuration></timeOptionDuration>
                            <startTimes>
                                <startTime>HH:MM:SS</startTime>
                            </startTimes>
                        </timeOption>
                    </timeOptions>
                </equipmentCategory>
                <equipmentCategory>
                    <equipmentCategoryId></equipmentCategoryId>
                    <equipmentCategoryName></equipmentCategoryName>
                    <timeOptions>
                        <timeOption>
                            <timeOptionId></timeOptionId>
                            <timeOptionName></timeOptionName>
                            <timeOptionPrice></timeOptionPrice>
                            <timeOptionDuration></timeOptionDuration>
                            <startTimes>
                                <startTime>HH:MM:SS</startTime>
                                <startTime>HH:MM:SS</startTime>
                            </startTimes>
                        </timeOption>
                        <timeOption>
                            <timeOptionId></timeOptionId>
                            <timeOptionName></timeOptionName>
                            <timeOptionPrice></timeOptionPrice>
                            <timeOptionDuration></timeOptionDuration>
                            <startTimes>
                                <startTime>HH:MM:SS</startTime>
                            </startTimes>
                        </timeOption>
                    </timeOptions>
                </equipmentCategory>
        </equipmentAvailable>
        <passengers>
            <seniors>0</seniors>
            <adults>0</adults>
            <students>0</students>
            <children>0</children>
            <infants>0</infants>
        </passengers>
        <pricing>
            <seniors>$0.00</seniors>
            <adults>$0.00</adults>
            <students>$0.00</students>
            <children>$0.00</children>
            <infants>$0.00</infants>
            <subTotal>$0.00</subTotal>
            <surplusFees>$0.00</surplusFees>
            <tax>$0.00</tax>
            <total>$0.00</total>
        </pricing>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage></methodErrorMessage>
    </methodResponse>
</response>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zaui.com/zapi/zapi-calls/activity-calls/rental-equipment-calls/zapipricequote.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
